
from django.shortcuts import render,redirect
from django.http import HttpResponse
import requests
import json

def EmployeeListView2(request):
    response = requests.get("http://127.0.0.1:3399/api/employees/")
    return HttpResponse(response.text)

def EmployeeListView(request):
    response = requests.get("http://127.0.0.1:3399/api/employees/")
    if response.status_code == 200:
        try:
            employee_list = json.loads(response.text)
        except:
            context = {
                "message" : "Sorry, you are unable to access data by using this API"
            }
            return render(request, 'employees/employee_list.html', context)
        else:
            context = {
                "employee_list" : employee_list
            }
            return render(request, 'employees/employee_list.html', context)
    elif response.status_code == 404:
        context = {
            "message" : "Requested resources not available to display"
        }
        return render(request, 'employees/employee_list.html', context)
    else:
        context = {
            "message" : "Something Wrong"
        }
        return render(request, 'employees/employee_list.html', context)

def EmployeeDetailView(request,pk):
    response = requests.get("http://127.0.0.1:3399/api/employees/"+str(pk)+"/")
    if response.status_code == 200:
        try:
            employee = json.loads(response.text)
        except:
            context = {
                "message" : "Sorry, you are unable to access data by using this API"
            }
            return render(request, 'employees/employee_detail.html', context)
        else:
            context = {
                "employee" : employee
            }
            return render(request, 'employees/employee_detail.html', context)
    elif response.status_code == 404:
        context = {
            "message" : "Requested resource not available to display"
        }
        return render(request, 'employees/employee_detail.html', context)
    else:
        context = {
            "message" : "Something Wrong"
        }
        return render(request, 'employees/employee_detail.html', context)


def EmployeeDeleteView(request,pk):
    response = requests.delete("http://127.0.0.1:3399/api/employees/"+str(pk)+"/")
    if response.status_code == 204:
        return redirect("employee_list")

    elif response.status_code == 404:
        context = {
            "message" : "Requested resource not available to deleting"
        }
        return render(request, 'employees/employee_delete.html', context)
    else:
        context = {
                "message" : "Something Wrong"
        }
        return render(request, 'employees/employee_delete.html', context)


def EmployeeCreateView(request):
    pass



